[LinuxBIOS] r7 - buildrom-devel/buildrom/bin

svn at openbios.org svn at openbios.org
Wed Jun 20 23:26:45 CEST 2007


Author: jcrouse
Date: 2007-06-20 23:26:45 +0200 (Wed, 20 Jun 2007)
New Revision: 7

Modified:
   buildrom-devel/buildrom/bin/fetchsvn.sh
Log:
Do a sanity check in fetchsvn and bail out if SVN is not installed.

Signed-off-by: Jordan Crouse <jordan.crouse at amd.com>
Acked-by: Stefan Reinauer <stepan at coresystems.de>



Modified: buildrom-devel/buildrom/bin/fetchsvn.sh
===================================================================
--- buildrom-devel/buildrom/bin/fetchsvn.sh	2007-05-08 18:25:34 UTC (rev 6)
+++ buildrom-devel/buildrom/bin/fetchsvn.sh	2007-06-20 21:26:45 UTC (rev 7)
@@ -6,6 +6,13 @@
 REV=$3
 TARBALL=$4
 
+SVNV=`svn --version --quiet`
+
+if [ $? -ne 0 ]; then
+	echo "You don't have SVN installed."
+	exit 1
+fi
+
 # Simple case - the repository doesn't exist
 
 if [ ! -d $DIR/svn/.svn ]; then





More information about the coreboot mailing list